Subject: Re: log -m output

From: SZEDER Gábor <[email-masked]>
Date: Mon, 7 Oct 2019 18:43:10 +0200

On Mon, Oct 07, 2019 at 07:14:25PM +0400, Semyon Kirnosenko wrote:
> I have a question about log command.
> Probably I'm just missing something but anyway.
> I can illustrate the question on the repository of Git.
> Let's look at revision 1ed91937
> It is a merge based on pair of revisions a9572072 and 294c695d.
> According to blame these parent revisions have different content for
> delta.h file.

I'm not sure what you mean by this statement; what blame command did
you run?

> But when I get log with -m flag for merge revision, I can't see that
> file in the list of changed files.
> Why?

The contents of 'delta.h' is identical in both parents of that merge:

  $ git diff a9572072 294c695d delta.h
  $
  # no difference

So 'git log -m' does the right thing by not showing 'delta.h'.